Bug 164048 - 4 * array subscript out of range
4 * array subscript out of range
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 06:58 EDT by David Binderman
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-30 02:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-23 06:58:38 EDT
Description of problem:

Hello there,

I just tried to compile Redhat Fedora package
kernel-2.6.12-1.1435_FC5 with the Intel C compiler version 8.1

The compiler said

1.

kernel/signal.c(196): warning #175: subscript out of range

The source code is

        case 4: ready  = signal->sig[3] &~ blocked->sig[3];

Clearly broken code. Array sig has only _NSIG_WORDS elements,
which is set to two on this architecture. 

Suggest rework code to use _NSIG_WORDS as the upper limit, not
a fixed constant.

2.

kernel/signal.c(197): warning #175: subscript out of range

Duplicate.

3.

drivers/net/wireless/airo.c(1363): warning #175: subscript out of range

The source code is

        emmh32_update(&context->seed,frame->da + ETH_ALEN * 2,payLen); //payload

Array da only has ETH_ALEN elements. Suggest code rework.

4.

drivers/net/wireless/airo.c(1451): warning #175: subscript out of range

Duplicate.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2005-07-30 02:29:47 EDT
please report such bugs upstream (linux-kernel@vger.kernel.org) instead of
distro bugzillas.

Note You need to log in before you can comment on or make changes to this bug.